Bug 1014588 - workspace switching with cinnamon 1.9.2 is laggy
workspace switching with cinnamon 1.9.2 is laggy
Product: Fedora
Classification: Fedora
Component: cinnamon (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
Depends On:
Blocks: 1014781
  Show dependency treegraph
Reported: 2013-10-02 07:22 EDT by Brian J. Murrell
Modified: 2015-02-17 12:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1014781 (view as bug list)
Last Closed: 2015-02-17 12:27:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2013-10-02 07:22:28 EDT
Description of problem:
When trying to switch workspaces with any of the ctrl-shift-arrow keys, the workspace switcher applet or the Expo applet it takes many seconds for the switch to effect.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Update to above packages
2. Use any of ctrl-alt-arrows, workspace switcher applet or Expo to switch workspaces
3. Observe latency

Actual results:
Many seconds to switch

Expected results:
Should switch immediately

Additional info:
Comment 1 leigh scott 2013-10-02 07:29:56 EDT
What video hardware are you using?
It works immediately here with nvidia hardware.
Comment 2 Brian J. Murrell 2013-10-02 10:05:55 EDT
01:00.0 VGA compatible controller: NVIDIA Corporation GT216GLM [Quadro FX 880M] (rev a2)

Also, using nouveau driver, not the nvidia proprietary blob.
Comment 3 Brian J. Murrell 2013-10-02 13:35:59 EDT
This appears to have been a pulseaudio daemon that was hung up.  After killing it (had to use -KILL as -TERM and -HUP wouldn't kill it) and another was automatically restarted, workspace switching seems to have become responsive again.
Comment 4 Brian J. Murrell 2013-10-02 14:53:03 EDT
So, my newly restarted pulseaudio has now just again hung up and is causing this delay again.  Time to open a pulseaudio ticket I guess.
Comment 5 Fedora End Of Life 2015-01-09 15:04:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:27:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.